Bug 26736 - Compare values of reports log entries
Summary: Compare values of reports log entries
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 26207
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-19 13:20 UTC by Owen Leonard
Modified: 2020-11-16 21:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26736: Compare values of reports log entries (3.74 KB, patch)
2020-10-19 14:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26736: Compare values of reports log entries (3.88 KB, patch)
2020-10-19 15:12 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 26736: Compare values of reports log entries (3.94 KB, patch)
2020-10-20 13:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-19 13:20:26 UTC
The enhancement made by Bug 26207 can be extended to reports logs as well, where changes to reports SQL could benefit from a comparison view.
Comment 1 Owen Leonard 2020-10-19 14:06:57 UTC
Created attachment 111993 [details] [review]
Bug 26736: Compare values of reports log entries

This patch adds the ability to compare the log entries for reports
in the system log. The user can select two entries in the log search
results and view a diff of the two versions.

To test, apply the patch and check that the  ReportsLog system
preference is enabled. If it isn't, enable it and make some changes to
saved SQL reports so that you have log entries to test with.

This is a trivial patch that simply adds "REPORTS" type log entries to
the list of modules which can be selected for comparison. The full test
plan is basically the same as that for Bug 26207:

- Perform a search for log entries in the "Reports" module.
- In the results, each entry for a report update should have a
  "Compare" checkbox."
- Check one of the checkboxes.
- The table should now be filtered by the report title. This
  facilitates meaningful selections for comparison.
- You should see a message displayed onscreen, "Showing results
  for...[report name]"
- The "Check none" link in the toolbar above the table should now be
  enabled.
- If youy click the "Compare selected" link in the toolbar at this
  stage you should get a message, "You must select two entries to
  compare."
- If you uncheck the checkbox the table should return to an unfiltered
  state.
- Check two checkboxes.
- The "Compare selected" link in the toolbar should now be enabled.
- Next to each of the checkboxes you checked should be a "View
  comparison" link.
- Clicking either of the "View comparison" links or the "Compare
  selected" link should trigger a modal with the diff view of the two
  reports log entries.
- Try to select a third checkbox. You should get a message, "You can
  select a maximum of two checkboxes." The box should remain unchecked.
- Test that unchecking both checkboxes manually clears the table filter.
- Test that the "Check none" link works to uncheck checked boxes and
  clear the table filter.
Comment 2 Séverine Queune 2020-10-19 15:12:45 UTC
Created attachment 111998 [details] [review]
Bug 26736: Compare values of reports log entries

This patch adds the ability to compare the log entries for reports
in the system log. The user can select two entries in the log search
results and view a diff of the two versions.

To test, apply the patch and check that the  ReportsLog system
preference is enabled. If it isn't, enable it and make some changes to
saved SQL reports so that you have log entries to test with.

This is a trivial patch that simply adds "REPORTS" type log entries to
the list of modules which can be selected for comparison. The full test
plan is basically the same as that for Bug 26207:

- Perform a search for log entries in the "Reports" module.
- In the results, each entry for a report update should have a
  "Compare" checkbox."
- Check one of the checkboxes.
- The table should now be filtered by the report title. This
  facilitates meaningful selections for comparison.
- You should see a message displayed onscreen, "Showing results
  for...[report name]"
- The "Check none" link in the toolbar above the table should now be
  enabled.
- If youy click the "Compare selected" link in the toolbar at this
  stage you should get a message, "You must select two entries to
  compare."
- If you uncheck the checkbox the table should return to an unfiltered
  state.
- Check two checkboxes.
- The "Compare selected" link in the toolbar should now be enabled.
- Next to each of the checkboxes you checked should be a "View
  comparison" link.
- Clicking either of the "View comparison" links or the "Compare
  selected" link should trigger a modal with the diff view of the two
  reports log entries.
- Try to select a third checkbox. You should get a message, "You can
  select a maximum of two checkboxes." The box should remain unchecked.
- Test that unchecking both checkboxes manually clears the table filter.
- Test that the "Check none" link works to uncheck checked boxes and
  clear the table filter.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Séverine Queune 2020-10-19 15:16:35 UTC
Great feature Owen, thanks a lot !!
Do you plan to do the same for other modules ?
Comment 4 Katrin Fischer 2020-10-20 13:30:36 UTC
Such a long test plan for a one line change :)
Comment 5 Katrin Fischer 2020-10-20 13:31:18 UTC
Created attachment 112038 [details] [review]
Bug 26736: Compare values of reports log entries

This patch adds the ability to compare the log entries for reports
in the system log. The user can select two entries in the log search
results and view a diff of the two versions.

To test, apply the patch and check that the  ReportsLog system
preference is enabled. If it isn't, enable it and make some changes to
saved SQL reports so that you have log entries to test with.

This is a trivial patch that simply adds "REPORTS" type log entries to
the list of modules which can be selected for comparison. The full test
plan is basically the same as that for Bug 26207:

- Perform a search for log entries in the "Reports" module.
- In the results, each entry for a report update should have a
  "Compare" checkbox."
- Check one of the checkboxes.
- The table should now be filtered by the report title. This
  facilitates meaningful selections for comparison.
- You should see a message displayed onscreen, "Showing results
  for...[report name]"
- The "Check none" link in the toolbar above the table should now be
  enabled.
- If youy click the "Compare selected" link in the toolbar at this
  stage you should get a message, "You must select two entries to
  compare."
- If you uncheck the checkbox the table should return to an unfiltered
  state.
- Check two checkboxes.
- The "Compare selected" link in the toolbar should now be enabled.
- Next to each of the checkboxes you checked should be a "View
  comparison" link.
- Clicking either of the "View comparison" links or the "Compare
  selected" link should trigger a modal with the diff view of the two
  reports log entries.
- Try to select a third checkbox. You should get a message, "You can
  select a maximum of two checkboxes." The box should remain unchecked.
- Test that unchecking both checkboxes manually clears the table filter.
- Test that the "Check none" link works to uncheck checked boxes and
  clear the table filter.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-11-04 16:34:00 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-11-16 21:34:15 UTC
enhancement will not be backported to 20.05.x